// ==UserScript==
// @name     Hidebar Sider
// @description Hides the "Recommended videos" sidebar on Invidious instances.
// @version  1
// @grant    none
// @include  http*
// ==/UserScript==

let sidebarXpaths = ["/html/body/div/div/div[4]/div[3]", "/html/body/div/div/div[5]/div[3]"];

for (const index in sidebarXpaths) {
  let xpath = sidebarXpaths[index];

  let recommendedSidebar = document.evaluate(
    xpath,
    document,
    null,
    XPathResult.FIRST_ORDERED_NODE_TYPE,
    null,
  ).singleNodeValue;

  if (recommendedSidebar != null) {
    recommendedSidebar.setAttribute("hidden", true);
    break;
  }
}
